[![Translation status](https://hosted.weblate.org/widgets/authenticator/-/svg-badge.svg)](https://hosted.weblate.org/engage/authenticator/?utm_source=widget) [![Version](https://img.shields.io/badge/version-0.2.4-green.svg)](https://github.com/bilelmoussaoui/Authenticator/releases)

# Authenticator
<img src="https://raw.githubusercontent.com/bilelmoussaoui/Authenticator/master/data/icons/hicolor/256x256/apps/com.github.bilelmoussaoui.Authenticator.png" width="128" height="128" />
<p>Two-factor authentication code generator for GNOME. Created with love using Python and GTK+.</p>

## Screenshots

<p align="center">
<img align="center" src="data/screenshots/screenshot1.png" />
</p>

## Features

- QR code scanner
- Beautiful UI
- Huge database of (290+) websites/applications

## Installation

### Flatpak
You can install the `flatpak` package of the application from Flathub using
```
flatpak install flathub com.github.bilelmoussaoui.Authenticator
```

### Gentoo
Installing Authenticator in Gentoo Linux is as easy as follows:
```
emerge sys-auth/authenticator
```

### Arch Linux
Authenticator is in the [AUR](https://aur.archlinux.org/packages/authenticator-git/). Use your favorite AUR client, for example [`yay`](https://github.com/Jguer/yay/)
```
yay -S authenticator-git
```

### Building from source code
#### Dependecies

- `Python 3.3+`
- `Gtk 3.16+`
- `meson 0.42+`
- `ninja`
- `pyotp`
- `libsecret`

Those dependencies are only used if you build the application with QR code scanner support
- `Pillow`
- `pyzbar` depends on `zbar`
  - `libzbar-dev` on Ubuntu
  - `zbar` on Arch

1 - Clone the repository

```bash
git clone https://github.com/bilelmoussaoui/Authenticator && cd ./Authenticator
```

2 - Install Python dependecies

```bash
sudo pip install pyotp pyzbar Pillow meson ninja
```

<sub>PS: In some distributions you will need to use `pip3` instead of `pip` to install the compatible version of the package with Python 3.</sub> <br>

3 - Install system dependencies

The following packages must be installed to build Authenticator.

- Debian / Ubuntu

```bash
sudo apt install gobject-introspection libgirepository1.0-dev libgtk-3-dev
```

4 - Afterwards

```bash
meson builddir
sudo ninja -C builddir install
```

5 - You can run the application from the desktop file or from the terminal using
```bash
authenticator
```

## Flags

- `--version`
  Shows the version number of the application
- `--debug`
  Enable the debug logs


## Credits

- Database for applications/websites from [twofactorauth](https://github.com/2factorauth/twofactorauth), by the 2factorauth team
